summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2006-05-30 13:46:37 +0000
committerAndreas Proschofsky <suka@gentoo.org>2006-05-30 13:46:37 +0000
commit572b9c6f23c0392f11a38a4d0d71c650dd3b03e6 (patch)
treece1e1b5d29499918aef71ceecce76b104cb7c337 /app-office/openoffice-bin
parentAdd a patch to ignore silly wireless messages (diff)
downloadhistorical-572b9c6f23c0392f11a38a4d0d71c650dd3b03e6.tar.gz
historical-572b9c6f23c0392f11a38a4d0d71c650dd3b03e6.tar.bz2
historical-572b9c6f23c0392f11a38a4d0d71c650dd3b03e6.zip
New release candidate, also fix revdep-rebuild troubles
Package-Manager: portage-2.1_rc3
Diffstat (limited to 'app-office/openoffice-bin')
-rw-r--r--app-office/openoffice-bin/ChangeLog11
-rw-r--r--app-office/openoffice-bin/files/2.0.3_rc4/50-openoffice-bin1
-rwxr-xr-xapp-office/openoffice-bin/files/2.0.3_rc4/ooo-wrapper2122
-rw-r--r--app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc4183
-rw-r--r--app-office/openoffice-bin/openoffice-bin-2.0.3_rc4.ebuild205
5 files changed, 521 insertions, 1 deletions
diff --git a/app-office/openoffice-bin/ChangeLog b/app-office/openoffice-bin/ChangeLog
index 2fcb84c51142..05d43fbe19e1 100644
--- a/app-office/openoffice-bin/ChangeLog
+++ b/app-office/openoffice-bin/ChangeLog
@@ -1,6 +1,15 @@
# ChangeLog for app-office/openoffice-bin
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/ChangeLog,v 1.129 2006/05/24 09:11:39 suka Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/ChangeLog,v 1.130 2006/05/30 13:46:37 suka Exp $
+
+*openoffice-bin-2.0.3_rc4 (30 May 2006)
+
+ 30 May 2006; Andreas Proschofsky <suka@gentoo.org>
+ -files/2.0.3_rc3/ooo-wrapper2, +files/2.0.3_rc4/ooo-wrapper2,
+ +files/2.0.3_rc4/50-openoffice-bin, -openoffice-bin-2.0.3_rc3.ebuild,
+ +openoffice-bin-2.0.3_rc4.ebuild:
+ Bump to RC4, also solves the long standing revdep-rebuild-problem, see bug
+ #32276
*openoffice-bin-2.0.3_rc3 (24 May 2006)
diff --git a/app-office/openoffice-bin/files/2.0.3_rc4/50-openoffice-bin b/app-office/openoffice-bin/files/2.0.3_rc4/50-openoffice-bin
new file mode 100644
index 000000000000..6b16e47f0187
--- /dev/null
+++ b/app-office/openoffice-bin/files/2.0.3_rc4/50-openoffice-bin
@@ -0,0 +1 @@
+SEARCH_DIRS_MASK="/usr/lib/openoffice /usr/lib32/openoffice"
diff --git a/app-office/openoffice-bin/files/2.0.3_rc4/ooo-wrapper2 b/app-office/openoffice-bin/files/2.0.3_rc4/ooo-wrapper2
new file mode 100755
index 000000000000..5f4e4bae055d
--- /dev/null
+++ b/app-office/openoffice-bin/files/2.0.3_rc4/ooo-wrapper2
@@ -0,0 +1,122 @@
+#!/usr/bin/perl -w
+#*****************************************************************************
+#
+# ooffice - Wrapper script for OpenOffice.org
+#
+# Based on the Mandrake work.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2, as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
+#
+#*****************************************************************************
+
+use strict;
+use IO::Handle;
+use Fcntl ':flock';
+
+my $Debug = $ENV{OOO_DEBUG};
+
+# Define the vendor of this particular OOo package
+my $VendorName = 'Gentoo';
+# Define system installation directory
+# Autoconf totally sucks for @libdir@ type substitution
+my $SystemInstallDir = 'INSTDIR';
+# Suffix for parallel installable versioning
+my $BinSuffix = '2';
+# ooo-build version
+my $OOO_BUILDVERSION = 'PV';
+
+#=============================================================================
+# Main
+#=============================================================================
+
+# Parse command line arguments
+my @ooo_argv;
+my $session_quickstart;
+my $widgets_set;
+while ($ARGV[0]) {
+ $_ = shift;
+ if (m/^--session-quickstart/) {
+ $session_quickstart = 1;
+ } elsif (m/^--widgets-set/) {
+ $widgets_set = shift;
+ (defined $widgets_set) || die "Error: The option --widgets-set requires a value\n" .
+ "For example: --widgets-set gtk\n";
+ } elsif (m/^--version/) {
+ print "This is OpenOffice.org $OOO_BUILDVERSION\n";
+ exit 0;
+ } else {
+ push @ooo_argv, $_;
+ }
+}
+
+if (!@ooo_argv) {
+ my $arg;
+ if ($0 =~ m/\/oo(calc|draw|impress|math|web|writer|base)$BinSuffix$/) {
+ $arg = "-$1";
+ } elsif ($0 =~ m/\/oofromtemplate$BinSuffix$/) {
+ $arg = "slot:5500";
+ }
+
+ if ($arg) {
+ push @ooo_argv, "$arg";
+ $Debug && print "Append arg: $arg\n";
+ }
+} else {
+ $Debug && print "Ignoring type - since have filenames\n";
+}
+
+if (defined $widgets_set) {
+ $ENV{SAL_USE_VCLPLUGIN} = $widgets_set;
+}
+
+# overcome ghastly up-stream evilness
+$ENV{SAL_NOEXPANDFPICKER}='TRUE';
+
+if ($session_quickstart) {
+ $Debug && print "Execute quickstarter\n";
+ push @ooo_argv, '-quickstart';
+}
+
+# FIXME: the following two fixes should be done by OOo itself
+# create the user config directory with safe rights 700 if it we find
+# the right path and the directory does not exist
+if (open BOOTSTRAPRC, "$SystemInstallDir/program/bootstraprc") {
+ while (my $line = <BOOTSTRAPRC>) {
+ chomp $line;
+ if (($line =~ m/^\s*UserInstallation\s*=\s*([^\s]*)\s*$/) && ($1)) {
+ my $userConfDir=$1;
+ $userConfDir =~ s|\$SYSUSERCONFIG|$ENV{HOME}|;
+ $userConfDir =~ s|file://||;
+ mkdir ($userConfDir,0700) unless (-d $userConfDir);
+ last;
+ }
+ }
+ close BOOTSTRAPRC;
+}
+# touch ~/.recently-used with safe rights 700 if it does not exist
+if (! -f "$ENV{HOME}/.recently-used") {
+ open (RECENTLY_USED, ">$ENV{HOME}/.recently-used") &&
+ close RECENTLY_USED &&
+ chmod 0600, "$ENV{HOME}/.recently-used";
+}
+
+if (!(-f '/proc/version')) {
+ print STDERR "\n\n --- Warning - OO.o will not work without a mounted /proc filesystem --- \n\n\n";
+}
+
+# Clear PYTHONPATH, otherwise Python scripting does not work
+delete $ENV{'PYTHONPATH'};
+
+# And here we go.
+exec "$SystemInstallDir/program/soffice", @ooo_argv
diff --git a/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc4 b/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc4
new file mode 100644
index 000000000000..ad3ac62f5ea1
--- /dev/null
+++ b/app-office/openoffice-bin/files/digest-openoffice-bin-2.0.3_rc4
@@ -0,0 +1,183 @@
+MD5 a5fd61775bad99df8366ff7c496ca741 OOo_2.0.3rc4_060526_LinuxIntel_install.tar.gz 126049095
+RMD160 2f06e63fc9c3d7cb775ad15e64882d0aca11a91c OOo_2.0.3rc4_060526_LinuxIntel_install.tar.gz 126049095
+SHA256 6551ab6c1812b6235809a0f1d9e6b45ff202e3d860de6b3e5e120f77a7f863a7 OOo_2.0.3rc4_060526_LinuxIntel_install.tar.gz 126049095
+MD5 5d7ac7f1038426bdbd13194cfdc0d1f2 OOo_2.0.3rc4_060526_LinuxIntel_langpack_af.tar.gz 13348071
+RMD160 0edd94799588119b7de101c538282897977eac99 OOo_2.0.3rc4_060526_LinuxIntel_langpack_af.tar.gz 13348071
+SHA256 d5c9b353729f0d825d15912b55e082ec24ba357619732ac6a4eb7f8f76ea21e5 OOo_2.0.3rc4_060526_LinuxIntel_langpack_af.tar.gz 13348071
+MD5 52235be7421b066948e51eff5588588f OOo_2.0.3rc4_060526_LinuxIntel_langpack_as-IN.tar.gz 13414712
+RMD160 9c1f5e68ed14dfaac7c8678cef0978a0d6352577 OOo_2.0.3rc4_060526_LinuxIntel_langpack_as-IN.tar.gz 13414712
+SHA256 e6ade7ac5b94c6f34c2d1e65996b1fba5d5385a7c6353e138f3a675906c4760f OOo_2.0.3rc4_060526_LinuxIntel_langpack_as-IN.tar.gz 13414712
+MD5 c6cb1e0ba233578726e28b4f65569d17 OOo_2.0.3rc4_060526_LinuxIntel_langpack_be-BY.tar.gz 13413335
+RMD160 caaba5c4757418418105eb7f89810ad6e005e35b OOo_2.0.3rc4_060526_LinuxIntel_langpack_be-BY.tar.gz 13413335
+SHA256 7f4dd18cdded92bf6221d097d053b2dc5c36cf57d0e8bfdcb0c0417f52bce83d OOo_2.0.3rc4_060526_LinuxIntel_langpack_be-BY.tar.gz 13413335
+MD5 b0a9fedc14add23beabd72c519ab2d2d OOo_2.0.3rc4_060526_LinuxIntel_langpack_bg.tar.gz 14348723
+RMD160 2ae5d1991567c733afbab25ab519b121e018b4bb OOo_2.0.3rc4_060526_LinuxIntel_langpack_bg.tar.gz 14348723
+SHA256 3852af39721e2a0eb8645a6c0df9ff6cbe62b639cb121690a206bc07e3dc890d OOo_2.0.3rc4_060526_LinuxIntel_langpack_bg.tar.gz 14348723
+MD5 40b2a2df328d7ddf25327ad2e7f46dc9 OOo_2.0.3rc4_060526_LinuxIntel_langpack_bs.tar.gz 13339069
+RMD160 cc4c42ea47cf21e31aa246b4224901076ad95500 OOo_2.0.3rc4_060526_LinuxIntel_langpack_bs.tar.gz 13339069
+SHA256 83128c9ee4b9dee26b61b33374dea2aa6161b06b4981fbb026c1d95850323e07 OOo_2.0.3rc4_060526_LinuxIntel_langpack_bs.tar.gz 13339069
+MD5 6f4d5c00361d0b71495519e18921a1ca OOo_2.0.3rc4_060526_LinuxIntel_langpack_ca.tar.gz 13379440
+RMD160 23ab7a4ff3e4548091693e0086b7bbc8cc4d38a6 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ca.tar.gz 13379440
+SHA256 2bdd96e2e89310a674efbd2096b3a9d4b9ed2dc31baa3bac62d2705b2856c94f OOo_2.0.3rc4_060526_LinuxIntel_langpack_ca.tar.gz 13379440
+MD5 f7c9473b2e001411cf4ded830dc5fe02 OOo_2.0.3rc4_060526_LinuxIntel_langpack_cs.tar.gz 14004365
+RMD160 d56a17692a0699ef692d4052d335073dc1be53cf OOo_2.0.3rc4_060526_LinuxIntel_langpack_cs.tar.gz 14004365
+SHA256 3fda1422106576e5af1827557baec8cf4c505a5e1a8e23020263768360a7d0b7 OOo_2.0.3rc4_060526_LinuxIntel_langpack_cs.tar.gz 14004365
+MD5 4abcbdf46861ca919e8bd84c55aebdbf OOo_2.0.3rc4_060526_LinuxIntel_langpack_cy.tar.gz 13321286
+RMD160 17794967904fc20cf8ba09a6d8b30205665151e3 OOo_2.0.3rc4_060526_LinuxIntel_langpack_cy.tar.gz 13321286
+SHA256 247c10f73391232ada995245dbf1c3fbd2ac160f81c412840cc44d79df137b4b OOo_2.0.3rc4_060526_LinuxIntel_langpack_cy.tar.gz 13321286
+MD5 b25094257d643e25518620171f671692 OOo_2.0.3rc4_060526_LinuxIntel_langpack_da.tar.gz 13906867
+RMD160 bb2aa6df532f90ecba1dea8c37f2a47763904704 OOo_2.0.3rc4_060526_LinuxIntel_langpack_da.tar.gz 13906867
+SHA256 bc4ef2905c84f1c8cfb062faba86e04e773d8c7aa105482e6efb2de177607eb7 OOo_2.0.3rc4_060526_LinuxIntel_langpack_da.tar.gz 13906867
+MD5 8f7f1f9009f1ba71bffd85dca0ba02c5 OOo_2.0.3rc4_060526_LinuxIntel_langpack_de.tar.gz 14845749
+RMD160 b0e87a7e58df55a9f81d9522262105d239543bc6 OOo_2.0.3rc4_060526_LinuxIntel_langpack_de.tar.gz 14845749
+SHA256 101f7a81e099c778aef0a758ed3d7dd623ede135d103d6846d968f396675bef0 OOo_2.0.3rc4_060526_LinuxIntel_langpack_de.tar.gz 14845749
+MD5 773e17890e18f306068a2fe07024fed8 OOo_2.0.3rc4_060526_LinuxIntel_langpack_el.tar.gz 13955468
+RMD160 102918bbed51315a5e5b1ec289c272281785506b OOo_2.0.3rc4_060526_LinuxIntel_langpack_el.tar.gz 13955468
+SHA256 323fc9b711703ee07f092ea7b372377e8a99db6f929054e5ed3db1a29a66a2b1 OOo_2.0.3rc4_060526_LinuxIntel_langpack_el.tar.gz 13955468
+MD5 a3c60ee01054baf9761870345527b967 OOo_2.0.3rc4_060526_LinuxIntel_langpack_en-GB.tar.gz 13411090
+RMD160 f8b63d50144b1acdb9e28eb8dc2ab7e245383195 OOo_2.0.3rc4_060526_LinuxIntel_langpack_en-GB.tar.gz 13411090
+SHA256 083d8147dde943dbfb84f95393c236be68c191d16145e7d5de08d9e8ebe005aa OOo_2.0.3rc4_060526_LinuxIntel_langpack_en-GB.tar.gz 13411090
+MD5 2c0d3ae2d5dd9471a185abbaae2fe0fc OOo_2.0.3rc4_060526_LinuxIntel_langpack_en-ZA.tar.gz 13362955
+RMD160 d403a12a00ff906f3f1da4178b4f03518037636c OOo_2.0.3rc4_060526_LinuxIntel_langpack_en-ZA.tar.gz 13362955
+SHA256 600ba2ba9e78572a5be12dac948b753e149da7ac8bdaf9a4783d1fe60b2f7a73 OOo_2.0.3rc4_060526_LinuxIntel_langpack_en-ZA.tar.gz 13362955
+MD5 f825054c3fe9ea73ceeea7f4522da8ad OOo_2.0.3rc4_060526_LinuxIntel_langpack_es.tar.gz 14156263
+RMD160 cbad385ae4c3658640e33fb10cc7917d264fb644 OOo_2.0.3rc4_060526_LinuxIntel_langpack_es.tar.gz 14156263
+SHA256 f004643efd87b32b0c6b8e25b839b170395cf9003c5f37f07a9772ef2fbd8c6d OOo_2.0.3rc4_060526_LinuxIntel_langpack_es.tar.gz 14156263
+MD5 b46063511ec24055c14f904ef0c55e25 OOo_2.0.3rc4_060526_LinuxIntel_langpack_et.tar.gz 14094110
+RMD160 f05cc316856af1353a110761abf795e88214b874 OOo_2.0.3rc4_060526_LinuxIntel_langpack_et.tar.gz 14094110
+SHA256 6eaef480329be0a57c0bb213c7401e643859f1e7e573563aaa1af1eee9e0bff6 OOo_2.0.3rc4_060526_LinuxIntel_langpack_et.tar.gz 14094110
+MD5 ec1e38274150016bba8f03c5194f7e7b OOo_2.0.3rc4_060526_LinuxIntel_langpack_fa.tar.gz 13409269
+RMD160 2426baa28627090965b470a772a211b16a2e8c63 OOo_2.0.3rc4_060526_LinuxIntel_langpack_fa.tar.gz 13409269
+SHA256 2fef4c13039946dee04b0185fb79273c7a71877e0a4db0a1910cf3c9158d4b59 OOo_2.0.3rc4_060526_LinuxIntel_langpack_fa.tar.gz 13409269
+MD5 49bb86f5fbe5a5f05a22cba4eb41964f OOo_2.0.3rc4_060526_LinuxIntel_langpack_fi.tar.gz 13373848
+RMD160 c3de2cef40e92ececbfe5eabb429c45bfefd69bb OOo_2.0.3rc4_060526_LinuxIntel_langpack_fi.tar.gz 13373848
+SHA256 a0e868ff10c32a4098c2693743ee908e8854b40e5f75bce517b1f777eb098ef8 OOo_2.0.3rc4_060526_LinuxIntel_langpack_fi.tar.gz 13373848
+MD5 9717e237379631431e6f26500ca0c4c9 OOo_2.0.3rc4_060526_LinuxIntel_langpack_fr.tar.gz 14390730
+RMD160 dee258b450a9edeedf3e4df2ccd55e61c5eee569 OOo_2.0.3rc4_060526_LinuxIntel_langpack_fr.tar.gz 14390730
+SHA256 13c78b0a8535b8f7917ad895a0c4ef58ce4d0ffac98c674414a1618cc3f606da OOo_2.0.3rc4_060526_LinuxIntel_langpack_fr.tar.gz 14390730
+MD5 e6e2a5dc657249ad8e894bb6caed012d OOo_2.0.3rc4_060526_LinuxIntel_langpack_gu-IN.tar.gz 13420775
+RMD160 34b4ed4d78d370fddf92902506a40148adb51032 OOo_2.0.3rc4_060526_LinuxIntel_langpack_gu-IN.tar.gz 13420775
+SHA256 9d8bc4df084379c0f7fdf4e948c492b53c38abe6c323f15a1d18ae6cf4cc6dd5 OOo_2.0.3rc4_060526_LinuxIntel_langpack_gu-IN.tar.gz 13420775
+MD5 b7392fb7eec4fe59f0909fd23c403de6 OOo_2.0.3rc4_060526_LinuxIntel_langpack_he.tar.gz 13376179
+RMD160 e69ac18d80001617a8da24d382995adddb51bc3f OOo_2.0.3rc4_060526_LinuxIntel_langpack_he.tar.gz 13376179
+SHA256 4ad287b29d7347193c965036544e81513ebb55b4ea48417cfd7b9be51113b0d3 OOo_2.0.3rc4_060526_LinuxIntel_langpack_he.tar.gz 13376179
+MD5 39a1c62d8dbadc9c15fc8792dd396f66 OOo_2.0.3rc4_060526_LinuxIntel_langpack_hi-IN.tar.gz 13483522
+RMD160 21df30d6577a8aaac387cf3bf72512a2e7942669 OOo_2.0.3rc4_060526_LinuxIntel_langpack_hi-IN.tar.gz 13483522
+SHA256 3b5058254a67a76ff001af632159f6d9953a1795c2a4f13caadf9ba6a7f26775 OOo_2.0.3rc4_060526_LinuxIntel_langpack_hi-IN.tar.gz 13483522
+MD5 856207a6aa39c3d8daea5450cded1776 OOo_2.0.3rc4_060526_LinuxIntel_langpack_hr.tar.gz 13658387
+RMD160 832ada0747538a06e00ace5e09b0b30eb37659ba OOo_2.0.3rc4_060526_LinuxIntel_langpack_hr.tar.gz 13658387
+SHA256 e97d7a0a2cbb9bc1e2a2f356629ba04e5582174d436fb21b0c03150f1c48b16e OOo_2.0.3rc4_060526_LinuxIntel_langpack_hr.tar.gz 13658387
+MD5 b56479019245d52478dc57517aec1aa7 OOo_2.0.3rc4_060526_LinuxIntel_langpack_hu.tar.gz 14738472
+RMD160 1db255383fdafd11f735e2f6f2f8ad59e327edc1 OOo_2.0.3rc4_060526_LinuxIntel_langpack_hu.tar.gz 14738472
+SHA256 af4c2a28d559694f4af5dd6edf911d86f08d653db964ff33594ef358cfa2fc52 OOo_2.0.3rc4_060526_LinuxIntel_langpack_hu.tar.gz 14738472
+MD5 0626037d69ea8dd56a0412f29c45abbe OOo_2.0.3rc4_060526_LinuxIntel_langpack_it.tar.gz 14163094
+RMD160 f660ae8976096f3bab29d23d9055d45b2afd5b69 OOo_2.0.3rc4_060526_LinuxIntel_langpack_it.tar.gz 14163094
+SHA256 5eeaff35d2c6ea58c0e9e5ff9dfb316de0e4a33b775721c7c33ed075367d912e OOo_2.0.3rc4_060526_LinuxIntel_langpack_it.tar.gz 14163094
+MD5 9d960b9781b2c862d36f9a3b9bbc0e8a OOo_2.0.3rc4_060526_LinuxIntel_langpack_ja.tar.gz 14942978
+RMD160 8175e82496c5730cae329bb6bbb5c6bd325fc087 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ja.tar.gz 14942978
+SHA256 bdc16a5ed7d87a842f4a231ccd50b28bdf20e2f249333dc6a03ea92ff8af4f85 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ja.tar.gz 14942978
+MD5 c483e864827f091c9e6c43db6afed7f5 OOo_2.0.3rc4_060526_LinuxIntel_langpack_km.tar.gz 16667576
+RMD160 a9d601f79c9c5e530e484871a20a51f8b023818d OOo_2.0.3rc4_060526_LinuxIntel_langpack_km.tar.gz 16667576
+SHA256 21b049f2eba9a7a90fd3ccbaac9bdaae8de52ff71be42b7065e2e450688439fc OOo_2.0.3rc4_060526_LinuxIntel_langpack_km.tar.gz 16667576
+MD5 48551ffe48bf92a1bc9d117b6ff05535 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ko.tar.gz 14066579
+RMD160 4633a6893bfc6b9da41443e54eeeeb5ca7be4a60 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ko.tar.gz 14066579
+SHA256 11a82cd073b0ef781612fac2e780f350f95e93b86f3030e910ebe1633b4aff42 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ko.tar.gz 14066579
+MD5 2f159895f9fc08d3d775632ecbcd52df OOo_2.0.3rc4_060526_LinuxIntel_langpack_lt.tar.gz 13345512
+RMD160 77880d6cc3b2f2cd0d25cc6a567269456dc6d173 OOo_2.0.3rc4_060526_LinuxIntel_langpack_lt.tar.gz 13345512
+SHA256 d47f144731ebe82cd920620a5061ad072968d443e7a889106cb9b51af6560ca1 OOo_2.0.3rc4_060526_LinuxIntel_langpack_lt.tar.gz 13345512
+MD5 3c6279854e8c8cbf35d1cb3d28b173e6 OOo_2.0.3rc4_060526_LinuxIntel_langpack_mk.tar.gz 14201444
+RMD160 bae270bc27a527cf7c66f745909ab83c2d2065f9 OOo_2.0.3rc4_060526_LinuxIntel_langpack_mk.tar.gz 14201444
+SHA256 edf337e3064db904f0f8daa3060f2c27febf6c2b7be9f972d214d17c0d2c53b7 OOo_2.0.3rc4_060526_LinuxIntel_langpack_mk.tar.gz 14201444
+MD5 061e8dd989013e2f17fca5219d77c1fa OOo_2.0.3rc4_060526_LinuxIntel_langpack_ml-IN.tar.gz 13428137
+RMD160 9a83e0a662612846a260912143732da6e5a2f2e6 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ml-IN.tar.gz 13428137
+SHA256 8fe0702a4759fe99dbbb7edafc1fce34c5ea05c8fbaafa022befc4c6e79e0523 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ml-IN.tar.gz 13428137
+MD5 229a5d3edffe1c503513380b218c3ccf OOo_2.0.3rc4_060526_LinuxIntel_langpack_mr-IN.tar.gz 13425117
+RMD160 9fc9446e819055865e3fae7d380b3f821e22f490 OOo_2.0.3rc4_060526_LinuxIntel_langpack_mr-IN.tar.gz 13425117
+SHA256 aad63feed8322a04d4f1f0a11d0ab6ff4233851c963a3ed4fe6c712790e98f1f OOo_2.0.3rc4_060526_LinuxIntel_langpack_mr-IN.tar.gz 13425117
+MD5 522b3be21f3e612d645fb4b692e52a53 OOo_2.0.3rc4_060526_LinuxIntel_langpack_nb.tar.gz 13345909
+RMD160 adae4d024fad92007aa0f6b7096839beb7bafdcd OOo_2.0.3rc4_060526_LinuxIntel_langpack_nb.tar.gz 13345909
+SHA256 b232b39dfeb24cc3166f6094d3ac8441f9abf15eff07e35fcc004cea4772e2c7 OOo_2.0.3rc4_060526_LinuxIntel_langpack_nb.tar.gz 13345909
+MD5 473c0b765fe63c182fec1bd9df6c2a5b OOo_2.0.3rc4_060526_LinuxIntel_langpack_nl.tar.gz 14410387
+RMD160 7c048008c8cd74b7ce73a46c8a72f56d1420314d OOo_2.0.3rc4_060526_LinuxIntel_langpack_nl.tar.gz 14410387
+SHA256 efc913ec2018102199c01de8e42eb02c6d9157d3bfcf33ec3a0044394f8bfc39 OOo_2.0.3rc4_060526_LinuxIntel_langpack_nl.tar.gz 14410387
+MD5 ea423caaba739e53fc60d1996a2e61e8 OOo_2.0.3rc4_060526_LinuxIntel_langpack_nn.tar.gz 13354982
+RMD160 f076ae8d9974efff8038b17a17a640aeaca497ad OOo_2.0.3rc4_060526_LinuxIntel_langpack_nn.tar.gz 13354982
+SHA256 4837736e2038f5c92f524c7e127df8375e205331ac075005e17fcc74fe355bcb OOo_2.0.3rc4_060526_LinuxIntel_langpack_nn.tar.gz 13354982
+MD5 ff20575f6b8a4fafbb8534ece2b1d1ad OOo_2.0.3rc4_060526_LinuxIntel_langpack_ns.tar.gz 13369581
+RMD160 e5389f65845ed19fe749ed757c77d73c49b3550a OOo_2.0.3rc4_060526_LinuxIntel_langpack_ns.tar.gz 13369581
+SHA256 13d026dcbe1358feb83ad35feef2e5ac7cdaac44236b8cb4bb396c0fec5b0b0a OOo_2.0.3rc4_060526_LinuxIntel_langpack_ns.tar.gz 13369581
+MD5 a74a53563fa4a36c8edc6d5f6207c612 OOo_2.0.3rc4_060526_LinuxIntel_langpack_or-IN.tar.gz 13421938
+RMD160 673a34154211c3aeea14335b32ae84680e254ae2 OOo_2.0.3rc4_060526_LinuxIntel_langpack_or-IN.tar.gz 13421938
+SHA256 212039750aab493f70d518df728653fe8a94a1e32ae979eaed8ae8cdd4464918 OOo_2.0.3rc4_060526_LinuxIntel_langpack_or-IN.tar.gz 13421938
+MD5 44ac8c35f833473e2f3179f2710a393c OOo_2.0.3rc4_060526_LinuxIntel_langpack_pa-IN.tar.gz 13404647
+RMD160 aaeb75e7503faf5843439821e605500b0ab43ace OOo_2.0.3rc4_060526_LinuxIntel_langpack_pa-IN.tar.gz 13404647
+SHA256 985d13a749fce1e52301a756b9470e818d32b23fbfa879b8f38d5a006bf72cd3 OOo_2.0.3rc4_060526_LinuxIntel_langpack_pa-IN.tar.gz 13404647
+MD5 107bfecf7f2401f5cef437a8dbdc8f28 OOo_2.0.3rc4_060526_LinuxIntel_langpack_pl.tar.gz 14378404
+RMD160 353f37255f7467741dd534f501f6b6ab00b97de1 OOo_2.0.3rc4_060526_LinuxIntel_langpack_pl.tar.gz 14378404
+SHA256 48fd1866ee4cb344231b268d160d13d3e7da3d9cc160641413c36b4786170863 OOo_2.0.3rc4_060526_LinuxIntel_langpack_pl.tar.gz 14378404
+MD5 2ca5dc1e37614571c38062059acd7204 OOo_2.0.3rc4_060526_LinuxIntel_langpack_pt-BR.tar.gz 14201580
+RMD160 838dc5480bbdbf3976e91bf2a700141fa683253c OOo_2.0.3rc4_060526_LinuxIntel_langpack_pt-BR.tar.gz 14201580
+SHA256 9b1b8c396a6abed7e8f3438a0c7f17231b72e378db5405be4d3014ec193426cf OOo_2.0.3rc4_060526_LinuxIntel_langpack_pt-BR.tar.gz 14201580
+MD5 e413a2c1ea04dc729dc5372df42eada1 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ru.tar.gz 15495451
+RMD160 c5fa88a3d3ee375cf32a03a2bf4f6de868ef7c1f OOo_2.0.3rc4_060526_LinuxIntel_langpack_ru.tar.gz 15495451
+SHA256 4bae1fd362a8d0a19391bf8cedb53998b46b9c55c42f47863c9cbbf9675a49d5 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ru.tar.gz 15495451
+MD5 1334bf46118d7abc4a0edba14e68053b OOo_2.0.3rc4_060526_LinuxIntel_langpack_rw.tar.gz 13695061
+RMD160 de27dad2f7e5cfba8dffc99c74a23870f1bc088a OOo_2.0.3rc4_060526_LinuxIntel_langpack_rw.tar.gz 13695061
+SHA256 3782fd3c0ecea29219905791a2f67a959494d20e79e22ea35fcfe83ffe3b5c92 OOo_2.0.3rc4_060526_LinuxIntel_langpack_rw.tar.gz 13695061
+MD5 5aa65cb147921456f6934b663bca93cd OOo_2.0.3rc4_060526_LinuxIntel_langpack_sh-YU.tar.gz 13343989
+RMD160 273458328e34ac3ae881773dc5d7d0048be9f5a0 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sh-YU.tar.gz 13343989
+SHA256 224f434e403c691c77a860e930b4a40069bf3584d3515f79500f40538663efe9 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sh-YU.tar.gz 13343989
+MD5 0fb89b698d861a6998652ac337ccc140 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sk.tar.gz 14055570
+RMD160 c0aa047ae8bb0bec49f5df7a6656eae5161eed56 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sk.tar.gz 14055570
+SHA256 8d62fa485b4b6957fbaa5c7bfd2b5dbfac985fc78ac891b710e602f2f90c2aa5 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sk.tar.gz 14055570
+MD5 9a1071c3d1ae3b4015d14d9ab32c8ded OOo_2.0.3rc4_060526_LinuxIntel_langpack_sl.tar.gz 13805442
+RMD160 9813a449b1a4b102f81fd7e88274340e70a4d75d OOo_2.0.3rc4_060526_LinuxIntel_langpack_sl.tar.gz 13805442
+SHA256 ed2fe6b448df9dd0f1a9267dfd2433c39fe7d77741176acdac52925353cedd3b OOo_2.0.3rc4_060526_LinuxIntel_langpack_sl.tar.gz 13805442
+MD5 fe5dd0055bac7d3e475236199c7b9e3b OOo_2.0.3rc4_060526_LinuxIntel_langpack_sr-CS.tar.gz 13420270
+RMD160 091716d663292c0579e7264cb1c25ca570414e78 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sr-CS.tar.gz 13420270
+SHA256 16dbb4d8107a13e63a2c1f23639a76b6c47c2294a522307dc6de0fc18cfceec9 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sr-CS.tar.gz 13420270
+MD5 92bb689c97711b8a8c68a098581ec77d OOo_2.0.3rc4_060526_LinuxIntel_langpack_st.tar.gz 13359628
+RMD160 9675b4c103c835b9542d517d4f56c32cd4fb1c66 OOo_2.0.3rc4_060526_LinuxIntel_langpack_st.tar.gz 13359628
+SHA256 548debba956cde3e0818e341b772706b1df68b182103274f91e40cfedfa18727 OOo_2.0.3rc4_060526_LinuxIntel_langpack_st.tar.gz 13359628
+MD5 751c154925b4b839396c15bedacd5058 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sv.tar.gz 13879429
+RMD160 d499cbc49239e2c8dac79ca4eb900398f3688ddc OOo_2.0.3rc4_060526_LinuxIntel_langpack_sv.tar.gz 13879429
+SHA256 0dc00c521198ed4a77c0b642d5e02bceebf0a8370048be0d4c0a8cf778d4807c OOo_2.0.3rc4_060526_LinuxIntel_langpack_sv.tar.gz 13879429
+MD5 7f8824842ccad39e1c3fadbb38fe5a1b OOo_2.0.3rc4_060526_LinuxIntel_langpack_sw-TZ.tar.gz 13489936
+RMD160 762bda8221015d5108eb6b380486a09bb5373332 OOo_2.0.3rc4_060526_LinuxIntel_langpack_sw-TZ.tar.gz 13489936
+SHA256 a2a817a9fb81d8d4f147ee00a86be664e0575ce6733650b1dca7ccfce5a4635d OOo_2.0.3rc4_060526_LinuxIntel_langpack_sw-TZ.tar.gz 13489936
+MD5 5226ea56da7a2150b695dc141ebf746e OOo_2.0.3rc4_060526_LinuxIntel_langpack_ta-IN.tar.gz 13381093
+RMD160 9a11ccfd5f14f50987a77b10a54429d0d2c3eff9 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ta-IN.tar.gz 13381093
+SHA256 dfcf6b86b0ac1cee2f7a9568727ccf424002227791ee6e107c6c1e1512443959 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ta-IN.tar.gz 13381093
+MD5 10f5ab28e534cd6fb83e615c0d4f356e OOo_2.0.3rc4_060526_LinuxIntel_langpack_te-IN.tar.gz 13430171
+RMD160 37ef59b28207bc1e685c3014376a004bf4369802 OOo_2.0.3rc4_060526_LinuxIntel_langpack_te-IN.tar.gz 13430171
+SHA256 88eddac1f24874876e7e7b9c7770f3691c59ad00aae3c31886ad41197dfe78ce OOo_2.0.3rc4_060526_LinuxIntel_langpack_te-IN.tar.gz 13430171
+MD5 37a3cff61013db3e944b8195cfbda694 OOo_2.0.3rc4_060526_LinuxIntel_langpack_tg.tar.gz 13408251
+RMD160 6d8d26c273c508a16aed00102ab9be53959322d2 OOo_2.0.3rc4_060526_LinuxIntel_langpack_tg.tar.gz 13408251
+SHA256 94dc14b97a566088823ca4a18e5ca7303b7895bc637519920606d3802bac096f OOo_2.0.3rc4_060526_LinuxIntel_langpack_tg.tar.gz 13408251
+MD5 14f49207a441aca4b34a9c484906fdb0 OOo_2.0.3rc4_060526_LinuxIntel_langpack_th.tar.gz 13802942
+RMD160 d374e3dd8b226c9376f53cb649ecd7a809037400 OOo_2.0.3rc4_060526_LinuxIntel_langpack_th.tar.gz 13802942
+SHA256 64d0b8075f8ff75bad2ca3f06b5ac85e7256d182e13fe82aecd2c3838e2489f8 OOo_2.0.3rc4_060526_LinuxIntel_langpack_th.tar.gz 13802942
+MD5 df644249443130a865df93711ee45539 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ti-ER.tar.gz 13311194
+RMD160 c59cac719c690e98153233d798d5d4c868734436 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ti-ER.tar.gz 13311194
+SHA256 da3d999aa3ce9b348ee10736d2fee49cd3bf4715db6138b3fbdb9ee3de0f134a OOo_2.0.3rc4_060526_LinuxIntel_langpack_ti-ER.tar.gz 13311194
+MD5 ccd4aa160935d82c0dbcc40d1e0ed3f6 OOo_2.0.3rc4_060526_LinuxIntel_langpack_tr.tar.gz 13637361
+RMD160 fdcef4a1a9dc2c66bd618a8634c4aad53363f5fc OOo_2.0.3rc4_060526_LinuxIntel_langpack_tr.tar.gz 13637361
+SHA256 a57ddf8ecd6eb05bad3b00843e9225b7e3ff746a8a7c5a5e4f1296e785632814 OOo_2.0.3rc4_060526_LinuxIntel_langpack_tr.tar.gz 13637361
+MD5 71d24c9f3fe4385383ff5f50da3ecaae OOo_2.0.3rc4_060526_LinuxIntel_langpack_ur-IN.tar.gz 13411930
+RMD160 e8274caee276668fe47c001c51f72bcb531ca984 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ur-IN.tar.gz 13411930
+SHA256 7e7c9f006fd70be784c87f4411878f036e86775c21d4a87b3b3f547134a73f49 OOo_2.0.3rc4_060526_LinuxIntel_langpack_ur-IN.tar.gz 13411930
+MD5 6dfd928afc025f59571cbeaacf9ad317 OOo_2.0.3rc4_060526_LinuxIntel_langpack_vi.tar.gz 13352302
+RMD160 964b57566755f6c0d80d8f74cbc1ac1069a30ed3 OOo_2.0.3rc4_060526_LinuxIntel_langpack_vi.tar.gz 13352302
+SHA256 4a52cd7d3cef0a3829a4156b3eaeace6b34902ffd4459ec3bd8b78aa2da490fd OOo_2.0.3rc4_060526_LinuxIntel_langpack_vi.tar.gz 13352302
+MD5 6e1e6c6fb9c926b886743f54253be51f OOo_2.0.3rc4_060526_LinuxIntel_langpack_xh.tar.gz 13444303
+RMD160 497716ac8dff06497382b76afc6907e1209bde0e OOo_2.0.3rc4_060526_LinuxIntel_langpack_xh.tar.gz 13444303
+SHA256 442e5b7c2d05aefdc0bc9926e0d266c30be89dde02adf8c12947edfa0a4c1c66 OOo_2.0.3rc4_060526_LinuxIntel_langpack_xh.tar.gz 13444303
+MD5 694d327ff898bd74e24d94a6dfd27b32 OOo_2.0.3rc4_060526_LinuxIntel_langpack_zh-CN.tar.gz 14229428
+RMD160 4cf0fa84d5a91b42c42561c5b26b1a569899f00b OOo_2.0.3rc4_060526_LinuxIntel_langpack_zh-CN.tar.gz 14229428
+SHA256 70d188bdd8f81e1dc0987bf5d965b2533c6fdc70d4295555a0709d3b5c739b3d OOo_2.0.3rc4_060526_LinuxIntel_langpack_zh-CN.tar.gz 14229428
+MD5 6b62220d6b82ffd61810478a9ef94db2 OOo_2.0.3rc4_060526_LinuxIntel_langpack_zh-TW.tar.gz 14383381
+RMD160 46146f4299181180e92b8bb241518637c5066905 OOo_2.0.3rc4_060526_LinuxIntel_langpack_zh-TW.tar.gz 14383381
+SHA256 96a0d55f511687b53b4fbd517d4fcf333420b6d920c8fcf61236ccaaa5cc9cf5 OOo_2.0.3rc4_060526_LinuxIntel_langpack_zh-TW.tar.gz 14383381
+MD5 0024f0da02b2d76423a77af857c403d7 OOo_2.0.3rc4_060526_LinuxIntel_langpack_zu.tar.gz 13406820
+RMD160 ea37be088eeac70fd312702d70284901343709cb OOo_2.0.3rc4_060526_LinuxIntel_langpack_zu.tar.gz 13406820
+SHA256 b65e7b752a9fe2083991b0a530334435d966987a9b3b0bad9d704cfaa6c8d53d OOo_2.0.3rc4_060526_LinuxIntel_langpack_zu.tar.gz 13406820
diff --git a/app-office/openoffice-bin/openoffice-bin-2.0.3_rc4.ebuild b/app-office/openoffice-bin/openoffice-bin-2.0.3_rc4.ebuild
new file mode 100644
index 000000000000..ac9a2b3babdc
--- /dev/null
+++ b/app-office/openoffice-bin/openoffice-bin-2.0.3_rc4.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice-bin/openoffice-bin-2.0.3_rc4.ebuild,v 1.1 2006/05/30 13:46:37 suka Exp $
+
+inherit eutils fdo-mime rpm multilib
+
+IUSE="gnome java"
+
+MY_PV="${PV/_/}"
+MY_PV2="${MY_PV}_060526"
+MY_PV3="${PV/_rc4/}-4"
+MILESTONE="OOC680_m4"
+PACKED="${MILESTONE}_native_packed-1"
+BUILDID="9035"
+S="${WORKDIR}/${PACKED}_en-US.${BUILDID}/RPMS"
+DESCRIPTION="OpenOffice productivity suite"
+
+LANGPACK="OOo_${MY_PV2}_LinuxIntel_langpack"
+LANGPACKPATH="http://oootranslation.services.openoffice.org/pub/OpenOffice.org/${MY_PV}/${LANGPACK}"
+LANGSUFFIX="${MY_PV3}.i586.tar.gz"
+
+SRC_URI="mirror://openoffice/contrib/rc/${MY_PV}/OOo_${MY_PV2}_LinuxIntel_install.tar.gz
+ linguas_af? ( ${LANGPACKPATH}_af.tar.gz )
+ linguas_as_IN? ( ${LANGPACKPATH}_as-IN.tar.gz )
+ linguas_be_BY? ( ${LANGPACKPATH}_be-BY.tar.gz )
+ linguas_bg? ( ${LANGPACKPATH}_bg.tar.gz )
+ linguas_bs? ( ${LANGPACKPATH}_bs.tar.gz )
+ linguas_ca? ( ${LANGPACKPATH}_ca.tar.gz )
+ linguas_cs? ( ${LANGPACKPATH}_cs.tar.gz )
+ linguas_cy? ( ${LANGPACKPATH}_cy.tar.gz )
+ linguas_da? ( ${LANGPACKPATH}_da.tar.gz )
+ linguas_de? ( ${LANGPACKPATH}_de.tar.gz )
+ linguas_el? ( ${LANGPACKPATH}_el.tar.gz )
+ linguas_en_GB? ( ${LANGPACKPATH}_en-GB.tar.gz )
+ linguas_en_ZA? ( ${LANGPACKPATH}_en-ZA.tar.gz )
+ linguas_es? ( ${LANGPACKPATH}_es.tar.gz )
+ linguas_et? ( ${LANGPACKPATH}_et.tar.gz )
+ linguas_fa? ( ${LANGPACKPATH}_fa.tar.gz )
+ linguas_fi? ( ${LANGPACKPATH}_fi.tar.gz )
+ linguas_fr? ( ${LANGPACKPATH}_fr.tar.gz )
+ linguas_gu_IN? ( ${LANGPACKPATH}_gu-IN.tar.gz )
+ linguas_he? ( ${LANGPACKPATH}_he.tar.gz )
+ linguas_hi_IN? ( ${LANGPACKPATH}_hi-IN.tar.gz )
+ linguas_hr? ( ${LANGPACKPATH}_hr.tar.gz )
+ linguas_hu? ( ${LANGPACKPATH}_hu.tar.gz )
+ linguas_it? ( ${LANGPACKPATH}_it.tar.gz )
+ linguas_ja? ( ${LANGPACKPATH}_ja.tar.gz )
+ linguas_km? ( ${LANGPACKPATH}_km.tar.gz )
+ linguas_ko? ( ${LANGPACKPATH}_ko.tar.gz )
+ linguas_lt? ( ${LANGPACKPATH}_lt.tar.gz )
+ linguas_mk? ( ${LANGPACKPATH}_mk.tar.gz )
+ linguas_ml_IN? ( ${LANGPACKPATH}_ml-IN.tar.gz )
+ linguas_mr_IN? ( ${LANGPACKPATH}_mr-IN.tar.gz )
+ linguas_nb? ( ${LANGPACKPATH}_nb.tar.gz )
+ linguas_nl? ( ${LANGPACKPATH}_nl.tar.gz )
+ linguas_nn? ( ${LANGPACKPATH}_nn.tar.gz )
+ linguas_ns? ( ${LANGPACKPATH}_ns.tar.gz )
+ linguas_or_IN? ( ${LANGPACKPATH}_or-IN.tar.gz )
+ linguas_pa_IN? ( ${LANGPACKPATH}_pa-IN.tar.gz )
+ linguas_pl? ( ${LANGPACKPATH}_pl.tar.gz )
+ linguas_pt_BR? ( ${LANGPACKPATH}_pt-BR.tar.gz )
+ linguas_ru? ( ${LANGPACKPATH}_ru.tar.gz )
+ linguas_rw? ( ${LANGPACKPATH}_rw.tar.gz )
+ linguas_sh_YU? ( ${LANGPACKPATH}_sh-YU.tar.gz )
+ linguas_sk? ( ${LANGPACKPATH}_sk.tar.gz )
+ linguas_sl? ( ${LANGPACKPATH}_sl.tar.gz )
+ linguas_sr_CS? ( ${LANGPACKPATH}_sr-CS.tar.gz )
+ linguas_st? ( ${LANGPACKPATH}_st.tar.gz )
+ linguas_sv? ( ${LANGPACKPATH}_sv.tar.gz )
+ linguas_sw_TZ? ( ${LANGPACKPATH}_sw-TZ.tar.gz )
+ linguas_ta_IN? ( ${LANGPACKPATH}_ta-IN.tar.gz )
+ linguas_te_IN? ( ${LANGPACKPATH}_te-IN.tar.gz )
+ linguas_tg? ( ${LANGPACKPATH}_tg.tar.gz )
+ linguas_th? ( ${LANGPACKPATH}_th.tar.gz )
+ linguas_ti_ER? ( ${LANGPACKPATH}_ti-ER.tar.gz )
+ linguas_tr? ( ${LANGPACKPATH}_tr.tar.gz )
+ linguas_ur_IN? ( ${LANGPACKPATH}_ur-IN.tar.gz )
+ linguas_vi? ( ${LANGPACKPATH}_vi.tar.gz )
+ linguas_xh? ( ${LANGPACKPATH}_xh.tar.gz )
+ linguas_zh_CN? ( ${LANGPACKPATH}_zh-CN.tar.gz )
+ linguas_zh_TW? ( ${LANGPACKPATH}_zh-TW.tar.gz )
+ linguas_zu? ( ${LANGPACKPATH}_zu.tar.gz )"
+
+HOMEPAGE="http://www.openoffice.org/"
+
+LICENSE="LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="!app-office/openoffice
+ || ( x11-libs/libXaw virtual/x11 )
+ sys-libs/glibc
+ >=dev-lang/perl-5.0
+ app-arch/zip
+ app-arch/unzip
+ java? ( !amd64? ( >=virtual/jre-1.4.1 )
+ amd64? ( app-emulation/emul-linux-x86-java ) )
+ amd64? ( >=app-emulation/emul-linux-x86-xlibs-1.0 )
+ linguas_ja? ( >=media-fonts/kochi-substitute-20030809-r3 )
+ linguas_zh_CN? ( >=media-fonts/arphicfonts-0.1-r2 )
+ linguas_zh_TW? ( >=media-fonts/arphicfonts-0.1-r2 )"
+
+DEPEND="${RDEPEND}
+ sys-apps/findutils"
+
+PROVIDE="virtual/ooo"
+RESTRICT="nostrip"
+
+src_unpack() {
+
+ unpack ${A}
+
+ for i in base calc core01 core02 core03 core03u core04 core04u core05 core05u core06 core07 core08 core09 core10 draw emailmerge impress math writer graphicfilter pyuno testtool xsltfilter ; do
+ rpm_unpack ${S}/openoffice.org-${i}-${MY_PV3}.i586.rpm
+ done
+
+ rpm_unpack ${S}/desktop-integration/openoffice.org-freedesktop-menus-2.0.3-2.noarch.rpm
+
+ use gnome && rpm_unpack ${S}/openoffice.org-gnome-integration-${MY_PV3}.i586.rpm
+ use java && rpm_unpack ${S}/openoffice.org-javafilter-${MY_PV3}.i586.rpm
+
+ strip-linguas en af as_IN be_BY bg bs ca cs cy da de el en_GB en_ZA es et fa fi fr gu_IN he hi_IN hr hu it ja km ko lt mk ml_IN mr_IN nb nl nn ns or_IN pa_IN pl pt_BR ru rw sh_YU sk sl sr_CS st sv sw_TZ ta_IN te_IN tg th ti_ER tr ur_IN vi xh zh_CN zh_TW zu
+
+ for i in ${LINGUAS}; do
+ i="${i/_/-}"
+ if [ ${i} != "en" ] ; then
+ LANGDIR="${WORKDIR}/${PACKED}_${i}.${BUILDID}/RPMS/"
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-${MY_PV3}.i586.rpm
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-help-${MY_PV3}.i586.rpm
+ rpm_unpack ${LANGDIR}/openoffice.org-${i}-res-${MY_PV3}.i586.rpm
+ fi
+ done
+
+}
+
+src_install () {
+
+ #Multilib install dir magic for AMD64
+ has_multilib_profile && ABI=x86
+ INSTDIR="/usr/$(get_libdir)/openoffice"
+
+ einfo "Installing OpenOffice.org into build root..."
+ dodir ${INSTDIR}
+ mv ${WORKDIR}/opt/openoffice.org2.0/* ${D}${INSTDIR}
+
+ #Menu entries, icons and mime-types
+ cd ${D}${INSTDIR}/share/xdg/
+ sed -i -e s/'Exec=openoffice.org-2.0-printeradmin'/'Exec=oopadmin2'/g printeradmin.desktop || die
+
+ for desk in base calc draw impress math printeradmin writer; do
+ mv ${desk}.desktop openoffice.org-2.0-${desk}.desktop
+ sed -i -e s/openoffice.org-2.0/ooffice2/g openoffice.org-2.0-${desk}.desktop || die
+ sed -i -e s/openofficeorg-20-${desk}/ooo-${desk}2/g openoffice.org-2.0-${desk}.desktop || die
+ domenu openoffice.org-2.0-${desk}.desktop
+ insinto /usr/share/pixmaps
+ newins ${WORKDIR}/usr/share/icons/gnome/48x48/apps/openofficeorg-20-${desk}.png ooo-${desk}2.png
+ done
+
+ insinto /usr/share/mime/packages
+ doins ${WORKDIR}/usr/share/mime/packages/openoffice.org.xml
+
+ # Install wrapper script
+ newbin ${FILESDIR}/${PV}/ooo-wrapper2 ooffice2
+ sed -i -e s/PV/${PV}/g ${D}/usr/bin/ooffice2 || die
+ sed -i -e "s|INSTDIR|${INSTDIR}|g" ${D}/usr/bin/ooffice2 || die
+
+ # Component symlinks
+ for app in base calc draw fromtemplate impress math web writer; do
+ dosym ooffice2 /usr/bin/oo${app}2
+ done
+
+ dosym ${INSTDIR}/program/spadmin.bin /usr/bin/oopadmin2
+
+ # Change user install dir
+ sed -i -e s/.openoffice.org2/.ooo-2.0/g ${D}${INSTDIR}/program/bootstraprc || die
+
+ # Non-java weirdness see bug #99366
+ use !java && rm -f ${D}${INSTDIR}/program/javaldx
+
+ # prevent revdep-rebuild from attempting to rebuild all the time
+ insinto /etc/revdep-rebuild && doins ${FILESDIR}/${PV}/50-openoffice-bin
+
+}
+
+pkg_postinst() {
+
+ fdo-mime_desktop_database_update
+ fdo-mime_mime_database_update
+
+ [ -x /sbin/chpax ] && [ -e /usr/lib/openoffice/program/soffice.bin ] && chpax -zm /usr/lib/openoffice/program/soffice.bin
+
+ einfo " To start OpenOffice.org, run:"
+ einfo
+ einfo " $ ooffice2"
+ einfo
+ einfo " Also, for individual components, you can use any of:"
+ einfo
+ einfo " oobase2, oocalc2, oodraw2, oofromtemplate2, ooimpress2, oomath2,"
+ einfo " ooweb2 or oowriter2"
+
+ einfo " Spell checking is now provided through our own myspell-ebuilds, "
+ einfo " if you want to use it, please install the correct myspell package "
+ einfo " according to your language needs. "
+
+}